Subject: Re: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME signed andd encrypted messages

From: Timothy J Miller <[email-masked]>
Date: Tue, 4 Aug 2020 15:59:06 +0000

Sometimes, but I usually get a block of Base64 text.  I'll capture some samples tonight.

-- T

On 8/4/20, 10:41, "Lars Ingebrigtsen" <[email-masked]> wrote:

    Timothy J Miller <[email-masked]> writes:

    > AFAICT so far, the problem seems to be Outlook but I can't narrow it
    > down further than that since it seems to span multiple versions and
    > platforms.
    >
    > I'll send you a clear signed, opaque signed, encrypted, and
    > signed+encrypted direct.  I *think* only the signed+encrypted will
    > have an issue.

    Yeah, it looks like it -- with the signed+encrypted I just got a blank
    buffer after decrypting.  Is that what you're also seeing?

    > Alternatively, are you aware of this:
    >
    > https://tools.ietf.org/html/rfc4134
    >
    > This test suite would be useful at your end, I should think.  Passing
    > this suite won't eliminate all the bugs b/c every MUA has ... issues
    > regarding S/MIME standards compliance, but it's a good place to start.

    It would be, yes.

    -- 
    (domestic pets only, the antidote for overdose, milk.)
       bloggy blog: http://lars.ingebrigtsen.no